Subject: Purple Passion

From: Chris DeSesa <[email-masked]>
Date: 31 Mar 1995 14:49:06 GMT

Can anyone tell me where I can find a Purple Passion Plant?  The 
woman I work with mentioned that yshe would love to get another one
(she had one years ago) but she can't seem to find one.  I thought it
would be a nice idea for a birthday present for her in two weeks. 

Thanks in advance,
Chris